import { readFileSync } from 'fs'

const totalCalories = readFileSync(process.argv.slice(2)[0], 'utf-8')
  .split('\n\n')
  .map((elf) =>
    elf
      .split('\n')
      .filter((x) => /^\d+$/.test(x))
      .map((x) => parseInt(x))
      .reduce((a, b) => a + b, 0)
  )
  .sort((a, b) => b - a)
  .splice(0, 3)
  .reduce((a, b) => a + b)

console.log(totalCalories)
